Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.binding.message
Class MessageContextErrors

    java.lang.Object
      org.springframework.validation.AbstractErrors
          org.springframework.binding.message.MessageContextErrors

All Implemented Interfaces:
  java.io.Serializable, org.springframework.validation.Errors

    public class MessageContextErrors

extends org.springframework.validation.AbstractErrors

Adapts a MessageContext object to the Spring Errors interface. Allows Spring Validators to record errors that are managed by a backing MessageContext.

Author:
  Keith Donald
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.springframework.validation.Errors
`NESTED_PATH_SEPARATOR`

Constructor Summary
`MessageContextErrors(MessageContext messageContext, java.lang.String objectName, java.lang.Object boundObject, ExpressionParser expressionParser, org.springframework.validation.MessageCodesResolver bindingErrorMessageCodesResolver, MappingResults mappingResults)` Creates a new message context errors adapter.

Method Summary
`void` | `addAllErrors(org.springframework.validation.Errors errors)`
`java.util.List` | `getFieldErrors()`
`java.lang.Object` | `getFieldValue(java.lang.String field)`
`java.util.List` | `getGlobalErrors()`
`java.lang.String` | `getObjectName()`
`void` | `reject(java.lang.String errorCode, java.lang.Object[] errorArgs, java.lang.String defaultMessage)`
`void` | `rejectValue(java.lang.String field, java.lang.String errorCode, java.lang.Object[] errorArgs, java.lang.String defaultMessage)`

Methods inherited from class org.springframework.validation.AbstractErrors
`canonicalFieldName, doSetNestedPath, fixedField, getAllErrors, getErrorCount, getFieldError, getFieldError, getFieldErrorCount, getFieldErrorCount, getFieldErrors, getFieldType, getGlobalError, getGlobalErrorCount, getNestedPath, hasErrors, hasFieldErrors, hasFieldErrors, hasGlobalErrors, isMatchingFieldError, popNestedPath, pushNestedPath, reject, reject, rejectValue, rejectValue, setNestedPath, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageContextErrors

    public MessageContextErrors(MessageContext messageContext,
                                java.lang.String objectName,
                                java.lang.Object boundObject,
                                ExpressionParser expressionParser,
                                org.springframework.validation.MessageCodesResolver bindingErrorMessageCodesResolver,
                                MappingResults mappingResults)

  Creates a new message context errors adapter.

  Parameters:
    `messageContext` - the backing message context
    `objectName` - the object name
    `boundObject` - the model object
    `expressionParser` - the expression parser
    `bindingErrorMessageCodesResolver` - the message codes resolver
    `mappingResults` - object mapping results

Method Detail

### reject

    public void reject(java.lang.String errorCode,
                       java.lang.Object[] errorArgs,
                       java.lang.String defaultMessage)

### rejectValue

    public void rejectValue(java.lang.String field,
                            java.lang.String errorCode,
                            java.lang.Object[] errorArgs,
                            java.lang.String defaultMessage)

### addAllErrors

    public void addAllErrors(org.springframework.validation.Errors errors)

### getObjectName

    public java.lang.String getObjectName()

### getGlobalErrors

    public java.util.List getGlobalErrors()

### getFieldErrors

    public java.util.List getFieldErrors()

### getFieldValue

    public java.lang.Object getFieldValue(java.lang.String field)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD